package com.jeeplus.modules.supply.materialsProvidedByAForReview.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.supply.materialsProvidedByAForReview.entity.MaterialsProvidedByAForReview;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 甲供材报审mapper
 * @author: 黄俊杰
 * @create: 2022-02-28 16:00
 */
@MyBatisMapper
public interface MaterialsProvidedByAForReviewMapper extends BaseMapper<MaterialsProvidedByAForReview> {

    /**
     * 批量删除
     * @param list
     */
    void deleteByIdList(@Param("list") List<String> list);

    /**
     * 批量新增
     * @param list
     * @return
     */
    Integer insertList(@Param("list") List<MaterialsProvidedByAForReview> list);
}
